package org.project.entity.players;

import org.project.entity.Entity;
import org.project.Colors;
import org.project.item.armors.AssassinArmor;
import org.project.item.weapons.machete;


public class Assassin extends Player{
        public Assassin(String name)
        {

            super(name, new machete(), new AssassinArmor());
        }

        @Override
        public void SpecialAttack(Entity target, int time)
        {
            if (time>0){
                time--;
                mp=100;

                System.out.println(Colors.PURPLE + "✨ SPECIAL ATTACK! ✨" + Colors.RESET);
                System.out.println(Colors.PURPLE + "WHOOSH!" + Colors.RESET);
                System.out.println("🔥 Recovery completed ");
            }
        }

        @Override
        public void heal() {
            hp += 15;
            if (hp > 100) {
                hp = 100;
            }
            mp-=10;
            System.out.println(Colors.GREEN + "💊 HEAL! 💊" + Colors.RESET);
            System.out.println(Colors.GREEN + " WHOOSH!" + Colors.RESET);
            System.out.println(Colors.RED + "  HP restored: + 15" + Colors.RESET);
        }
}


